:root { 
    --brand-green: #2d5a27; 
    --text-dark: #1a3318;
    --white: #ffffff;
}

body, html { margin: 0; padding: 0; height: 100%; width: 100%; overflow: hidden; }

#map { 
    height: 100vh;
    width: 100%; 
    background: #000; 
}

/* Custom Tree Card Styling */
.marker-cluster{
    border-radius: 60px; 
}
.marker-cluster div {
    width: 48px !important;
    height: 48px !important;
    margin-left: 1px !important;
    margin-top: 1px !important;
    border-radius: 60px;
    align-content: center;
    color: #F4FEED;
    background-color: #1a3318;
    font:20px "Unna", sans-serif;;
}
.marker-cluster-small{
    width: 50px !important;
    height: 50px !important;
    background-color: #F4FEED;
}

.leaflet-popup-tip{ display: none; }

.leaflet-popup-close-button {
    font-size: 18px !important;
    color: #F4FEED !important;
}

.leaflet-popup-content-wrapper { width: 300px; }

.tree-card { 
    width: 300px;
    border-radius: 6px; 
    overflow: hidden; 
    gap: 20px;
    background: #F4FEED;
    box-shadow: 0 4px 15px rgba(0,0,0,0.2);
}

.tree-card img { 
    width: 100%; 
    height: 180px; 
    object-fit: cover; 
    display: block;
}

.tree-content {
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.tree-title{
    display: flex;
    flex-direction: column;
    gap: 0px;
}
.tree-content h3 { 
    margin: 0;
    font-family: "Unna", serif;
    font-size: 1.5rem; 
    color: #35450B; 
}

.tree-content small {
    color: #35450B;
    display: block;
    font-family: "Noto Sans Sinhala", sans-serif;
    font-size: 1rem ;
}

.leaf-divider {
    display: flex;
    align-items: center;
    gap: 10px;
}
.leaf-divider img { height: 18px}
.leaf-divider hr { flex: 1; border: 0; border-top: 1px solid #1a3318; }
.tree-meta{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.tree-content p { 
    margin: 0;
    font-family: "Outfit", sans-serif;
    font-size: 1rem; 
    color: #35450B; 
}

.btn-direction { 
    display: block; 
    text-align: center;
    font-family: "Unna", serif;
    font-size:1rem;
    font-weight: 700;
    color: #35450B !important; 
    text-decoration: none;
    padding: 12px;
    border: 1px solid #35450B;
    border-radius: 6px;
    transition: background 0.3s ease;
}

.btn-direction:hover {
    color: #F4FEED !important;
    background: #35450B;
}

/* Remove default Leaflet popup padding */
.leaflet-popup-content { margin: 0; width: 250px !important; }
.leaflet-popup-content-wrapper { padding: 0; overflow: hidden; }